=== debian/changelog ===
dhewm3 (0+git20150226+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #777373)

 -- Tobias Frost <tobi@debian.org>  Tue, 04 Aug 2015 22:51:30 +0200
