=== debian/control ===
--- 
+++ 
@@ -23,14 +23,14 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: doom3-data | game-data-packager (>=40)
-Description: dhwm3's gamelibrary for the title DOOM³
+Description: dhewm3's gamelibrary for the title DOOM³
  This package contains the shared library containing the game logic for DOOM³
  .
  Please note that this package does not contain any game data, which is
  required to actually play the game.
  .
  The package game-data-packager can help you to package your copy of the
- game data. Please see Readme.Debian for details.
+ game data. Please see README.Debian for details.
 
 Package: dhewm3-d3xp
 Architecture: any
@@ -39,7 +39,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: doom3-resurrection-data | game-data-packager (>=40)
-Description: dhwm3's gamelibrary for the title DOOM³: Resurrection of Evil
+Description: dhewm3's gamelibrary for the title DOOM³: Resurrection of Evil
  This package contains the shared library containing the game logic for
  the add-on DOOM3³: Resurrection of Evil
  .
@@ -52,7 +52,7 @@
 Package: dhewm3
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: dhewm3-doom3, dhewm3-dx3p
+Suggests: dhewm3-doom3, dhewm3-d3xp
 Description: GPL Doom 3 game engine
  The goal of dhewm 3 is bring the DOOM3 engine with the help of SDL to all
  suitable plaforms.
