=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dhewm3-$1\.tar\.gz/,\
dversionmangle=s/\+git.*$//;s/\+dfsg.*$//,uversionmangle=s/-/~/,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
repacksuffix=+dfsg \
  https://github.com/dhewm/dhewm3/tags .*/v?(\d\S*)\.tar\.gz
