## dhewm3 1.4.1+dfsg

=== debian/changelog ===
dhewm3 (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fix VCS-Browser in d/control.
  * Bump S-V to 3.9.8 -- no changes
  * Correct spelling error in README.Debian

 -- Tobias Frost <tobi@debian.org>  Fri, 08 Jul 2016 01:10:09 +0200
