=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                libopenal-dev,
                libsdl2-dev,
                libvorbis-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/dhewm/dhewm3
-VCS-Browser: https://alioth.debian.org/anonscm/git/pkg-games/dhewm3.git
-VCS-Git: git://anonscm.debian.org/pkg-games/dhewm3.git
+VCS-Browser: https://anonscm.debian.org/cgit/pkg-games/dhewm3.git
+VCS-Git: https://anonscm.debian.org/git/pkg-games/dhewm3.git
 
 Package: dhewm3-doom3
 Architecture: any
