## dhewm3 1.4.1+git20171102+dfsg

=== neo/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,8 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/sys/cmake")
 set(CMAKE_SKIP_RPATH ON CACHE BOOL "Skip RPATH" FORCE)
 
+set(DHEWM3BINARY "dhewm3")
+
 include(CheckCXXCompilerFlag)
 include(GNUInstallDirs OPTIONAL RESULT_VARIABLE GNUINSTALLDIRS)
 
@@ -107,6 +109,11 @@
 
 find_package(OpenAL REQUIRED)
 include_directories(${OPENAL_INCLUDE_DIR})
+
+if(NOT AROS)
+	find_package(X11 REQUIRED)
+	include_directories(${X11_INCLUDE_DIR})
+endif()
 
 if (SDL2)
 	# skip SDL2main
@@ -159,11 +166,13 @@
 
 	add_compile_options(-fno-strict-aliasing)
 
-	CHECK_CXX_COMPILER_FLAG("-fvisibility=hidden" cxx_has_fvisibility)
-	if(NOT cxx_has_fvisibility)
-		message(FATAL_ERROR "Compiler does not support -fvisibility")
-	endif()
-	add_compile_options(-fvisibility=hidden)
+	if(NOT AROS)
+		CHECK_CXX_COMPILER_FLAG("-fvisibility=hidden" cxx_has_fvisibility)
+		if(NOT cxx_has_fvisibility)
+			message(FATAL_ERROR "Compiler does not support -fvisibility")
+		endif()
+		add_compile_options(-fvisibility=hidden)
+	endif()
 
 	# TODO fix these warnings
 	add_compile_options(-Wno-sign-compare)
@@ -175,7 +184,10 @@
 		add_compile_options(-Woverloaded-virtual)
 	endif()
 
-	if(APPLE)
+	if(AROS)
+		set(CMAKE_SHARED_LIBRARY_SUFFIX ".aros-${cpu}")
+		add_definitions(-DIOAPI_NO_64)
+	elseif(APPLE)
 		add_definitions(-DMACOS_X=1)
 
 		if(cpu STREQUAL "x86_64")
@@ -403,10 +415,3 @@
 	tools/compilers/aas/AASBuild.cpp
 	tools/compilers/aas/AASBuild_file.cpp
 	tools/compilers/aas/AASBuild_gravity.cpp
-	tools/compilers/aas/AASBuild_ledge.cpp
-	tools/compilers/aas/AASBuild_merge.cpp
-	tools/compilers/aas/AASCluster.cpp
-	tools/compilers/aas/AASFile.cpp
-	tools/compilers/aas/AASFile_optimize.cpp
-	tools/compilers/aas/AASFile_sample.cpp
-	tools/compilers/aas/AASReach.cpp
