=== debian/changelog ===
dhewm3 (1.4.1+git20171102+dfsg-1) unstable; urgency=medium

  * New upstream git snapshot.
  * d/control: Fix spelling error in package description.
  * Update d/compat level to 10, update B-D on debhelper >10 and  drop
    --parallel in d/rules.
  * Update S-V to 4.1.1. Only change was using the https:// for the
    copyright format URL, as this is now allowed.
  * Update d/copyright years
  * Fix spelling error in README.Debian
  * Use /usr/share/dpkg/pkg-info.mk instead of dpkg-parsechangelog
  * Refresh patch 01-changedatadir.patch
  * Adding patch to fix FTBFS on ppc64el. Thanks to Frédéric Bonnard for
    providing it. (Closes: #868156)

 -- Tobias Frost <tobi@debian.org>  Tue, 28 Nov 2017 20:21:13 +0100
