=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Tobias Frost <tobi@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 10),
                libcurl4-gnutls-dev,
                libjpeg-dev,
                libogg-dev,
                libopenal-dev,
                libsdl2-dev,
                libvorbis-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/dhewm/dhewm3
 VCS-Browser: https://anonscm.debian.org/cgit/pkg-games/dhewm3.git
 VCS-Git: https://anonscm.debian.org/git/pkg-games/dhewm3.git
@@ -55,7 +55,7 @@
 Suggests: dhewm3-doom3, dhewm3-d3xp
 Description: GPL Doom 3 game engine
  The goal of dhewm 3 is bring the DOOM3 engine with the help of SDL to all
- suitable plaforms.
+ suitable platforms.
  .
  This game engine is compatible with the original Doom3 data files and the
  Resurrection of Evil extension. To play it, you need to own the game data.
