=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
+
 # output every command that modifies files on the build system.
-DH_VERBOSE = 1
+#DH_VERBOSE = 1
 
 %:
-	dh $@ -Dneo --parallel
+	dh $@ -Dneo
 
 # debmake generated override targets
 # This is example for Cmake (See http://bugs.debian.org/641051 )
@@ -20,10 +22,10 @@
 # For get-orig-source
 UURL =  https://github.com/dhewm/dhewm3.git
 PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
-PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
-VER  ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog  -SVersion | sed -e s/^.*git// -e s/+dfsg// | cut -d- -f1 )
+PKG   = $(DEB_SOURCE)
+VER   ?= $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e s/^.*git// -e s/+dfsg// | cut -d- -f1 )
 DTYPE = +dfsg
-UPSVER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog -SVersion | cut -d+ -f1)
+UPSVER  ?= $(shell echo $(DEB_VERSION_UPSTREAM) | cut -d+ -f1)
 
 ## from: https://wiki.debian.org/onlyjob/get-orig-source
 .PHONY: get-orig-source
