=== debian/changelog ===
dhewm3 (1.4.1+git20180714+dfsg-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Spelling error patch partially applied upstream, refreshing.
  * Bump SV to 4.1.5:
    - Set Rules-Requires-Root to "no"
    - no other changes required.

 -- Tobias Frost <tobi@debian.org>  Thu, 26 Jul 2018 00:15:00 +0800

dhewm3 (1.4.1+git20180223+dfsg-1) unstable; urgency=medium

  * New upstream git snapshot.
  * Move repository to salsa.d.o.
  * Update watch file to track repository and remove get-orig-source from
    d/rules.
  * Add patch to correct spelling errors.
  * Use compat level 11.
  * Bump S-V to 3.1.4, no changes required.

 -- Tobias Frost <tobi@debian.org>  Sat, 19 May 2018 02:13:27 +0200
