=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Tobias Frost <tobi@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper (>= 11),
                libcurl4-gnutls-dev,
                libjpeg-dev,
                libogg-dev,
                libopenal-dev,
                libsdl2-dev,
                libvorbis-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.5
 Homepage: https://github.com/dhewm/dhewm3
-VCS-Browser: https://anonscm.debian.org/cgit/pkg-games/dhewm3.git
-VCS-Git: https://anonscm.debian.org/git/pkg-games/dhewm3.git
+VCS-Browser: https://salsa.debian.org/games-team/dhewm3
+VCS-Git: https://salsa.debian.org/games-team/dhewm3.git
+Rules-Requires-Root: no
 
 Package: dhewm3-doom3
 Architecture: any
