=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.4.1+git%cd+dfsg, dversionmangle=s/\+dfsg\d*$//" \
https://github.com/dhewm/dhewm3.git \
HEAD debian uupdate
