=== debian/changelog ===
dhewm3 (1.5.0+git20181221+dfsg-2) unstable; urgency=medium

  * Refresh patch.
  * Used SDL2.cmake to avoid FTBFS. See #951087 for details.
  * Fix lintian warning in debian/copyright
  * Bump S-V to 4.5.0 -- no changes
  * Use debhelper-compat instead of d/compat. Bump to level 12.

 -- Tobias Frost <tobi@debian.org>  Tue, 07 Apr 2020 17:36:51 +0200

dhewm3 (1.5.0+git20181221+dfsg-1) unstable; urgency=medium

  * New upstream git snapshot. (Upstream marked this as version 1.5.0)
    - remove patch with spelling errors -- applied upstream.
  * Bump SV to 4.3.0 -- no changes required

 -- Tobias Frost <tobi@debian.org>  Sat, 29 Dec 2018 17:16:34 +0100

dhewm3 (1.4.2~pre+git20180930+dfsg-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Adapt d/watch for upstrem version 1.4.2~pre.
    - Project has a new homepage
    - Update d/copyright.
  * Revise patch 20-spelling-errors.patch after upstream feeback.
  * Bump S-V to 4.2.1 -- no changes required

 -- Tobias Frost <tobi@debian.org>  Sat, 20 Oct 2018 10:12:31 +0200
