=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Tobias Frost <tobi@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                libcurl4-gnutls-dev,
                libjpeg-dev,
                libogg-dev,
                libopenal-dev,
-               libsdl2-dev,
+               libsdl2-dev (>= 2.0.4),
                libvorbis-dev
-Standards-Version: 4.1.5
-Homepage: https://github.com/dhewm/dhewm3
+Standards-Version: 4.5.0
+Homepage: https://dhewm3.org/
 VCS-Browser: https://salsa.debian.org/games-team/dhewm3
 VCS-Git: https://salsa.debian.org/games-team/dhewm3.git
 Rules-Requires-Root: no
