=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# output every command that modifies files on the build system.
#DH_VERBOSE = 1

%:
	dh $@ -Dneo

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) -DSDL2=ON \
	-DCMAKE_INSTALL_BINDIR="games" -DCMAKE_INSTALL_DATADIR="share/games" \
	-DCMAKE_BUILD_TYPE=Debian

override_dh_installdocs:
	dh_installdocs -A debian/license-assessment
