## dhewm3 1.5.1~pre+git20200802+dfsg

=== debian/changelog ===
dhewm3 (1.5.1~pre+git20200802+dfsg-1) unstable; urgency=medium

  * New upstream git snapshot.
    - refresh patches.
    - d/rules: Enable upstreams reproducible build option.
  * Make Vcs field cute and lintian happy.

 -- Tobias Frost <tobi@debian.org>  Tue, 25 Aug 2020 16:50:12 +0200

dhewm3 (1.5.1~pre+git20200130+dfsg-1) unstable; urgency=medium

  * New upstream git snaphot, versioned upstream as 1.5.1pre.
    - Update watch file to match new version.
    - Remove 10-ppc64el-build.patch -- applied upstream.
    - Refresh remaining patches.

 -- Tobias Frost <tobi@debian.org>  Mon, 13 Apr 2020 09:53:59 +0200
