=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                libvorbis-dev
 Standards-Version: 4.5.0
 Homepage: https://dhewm3.org/
-VCS-Browser: https://salsa.debian.org/games-team/dhewm3
-VCS-Git: https://salsa.debian.org/games-team/dhewm3.git
+Vcs-Browser: https://salsa.debian.org/games-team/dhewm3
+Vcs-Git: https://salsa.debian.org/games-team/dhewm3.git
 Rules-Requires-Root: no
 
 Package: dhewm3-doom3
